Subject: Re: Source of xparameter_ml300.h

From: Andrei Konovalov <[email-masked]>
Date: Wed, 24 Aug 2005 17:55:06 +0400

Grant Likely wrote:
> Does anyone know the origin of xparameter_ml300.h?  The
> Xilinx EDK generates an xparameters.h file for each design, but the
> structure of the file changes between releases.
> 
> I want to know if xparameters_ml300.h is the exact output produced by
> EDK or if stuff was changed before it was submitted to the mainline
> tree.  (ie. all the stuff under the "linux redefines" comment block)

EDK can also generate the "Linux BSP".
In this case EDK uses the scripts from (depending on your setup)
/opt/xilinx/edk/7.1/sw/ThirdParty/bsp/linux_v2_00_b/data/
In particular, linux_v2_1_0.tcl adds those "linux redefines"
and renames xparameters.h to xparameters_ml300.h.

> Also, where can I get the bitstream/systemace file that matches
> xparameters_ml300.h?

The most reliable way is to generate both (bitstream and
xparameters_ml300.h) by yourself. :)

But if you are speaking about the xparameters_ml300.h in the community
trees (linuxppc-2.4 and the 2.6 one from kernel.org), this file
is for the reference design by Xilinx:

http://www.xilinx.com/ise/embedded/edk6_2docs/ml300_edk3.zip

> I've got a custom ml300 image that I'm regression
> testing against, but I'd like to also test against some form of 'stock'
> image. :)
> 
> Thanks,
> g.

Thanks,
Andrei